com.fasterxml.jackson.databind.exc

## Class InvalidNullException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.databind.DatabindException
            - - com.fasterxml.jackson.databind.JsonMappingException
              - - com.fasterxml.jackson.databind.exc.MismatchedInputException
                - - com.fasterxml.jackson.databind.exc.InvalidNullException

All Implemented Interfaces:
  Serializable

    public class InvalidNullException
    extends MismatchedInputException

Exception thrown if a `null` value is being encountered for a property designed as "fail on null" property (see `JsonSetter`).

Since:
  2.9
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

`JsonMappingException.Reference`

### Field Summary

Fields
`protected PropertyName` `_propertyName` Name of property, if known, for which null was encountered.

### Fields inherited from class com.fasterxml.jackson.databind.exc.MismatchedInputException

`_currentToken, _targetType`

### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_path, _processor`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
`protected` `InvalidNullException(DeserializationContext ctxt, String msg, PropertyName pname)`
`protected` `InvalidNullException(com.fasterxml.jackson.core.JsonParser p, String msg, PropertyName pname)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InvalidNullException` `from(DeserializationContext ctxt, PropertyName name, JavaType type)`
`PropertyName` `getPropertyName()`

### Methods inherited from class com.fasterxml.jackson.databind.exc.MismatchedInputException

`_currentToken, from, from, from, getCurrentToken, getTargetType, setCurrentToken, setTargetType`

### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_appendPathDesc, _appendReferenceChain, _buildMessage, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, withCause, wrapWithPath, wrapWithPath, wrapWithPath`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _propertyName

    protected final PropertyName _propertyName

Name of property, if known, for which null was encountered.

### Constructor Detail

#### InvalidNullException

    protected InvalidNullException(com.fasterxml.jackson.core.JsonParser p,
                                   String msg,
                                   PropertyName pname)

Since:
  2.19

#### InvalidNullException

    protected InvalidNullException(DeserializationContext ctxt,
                                   String msg,
                                   PropertyName pname)

### Method Detail

#### from

    public static InvalidNullException from(DeserializationContext ctxt,
                                            PropertyName name,
                                            JavaType type)

#### getPropertyName

    public PropertyName getPropertyName()